summaryrefslogtreecommitdiff
path: root/dev-python/jsonpath-ng
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-10-07 03:05:00 -0500
committerCrucible <crucible@localhost>2026-10-07 03:05:00 -0500
commit4f8f07779b4dd78123821b104e43fd1eb15281dd (patch)
tree50283d655e8953ffa4cd36a42b39f72f09fed20b /dev-python/jsonpath-ng
parent21cec7ace42ae94a3a1b32ecec396a199eebf3c9 (diff)
downloadsrcux-4f8f07779b4dd78123821b104e43fd1eb15281dd.tar.gz
srcux-4f8f07779b4dd78123821b104e43fd1eb15281dd.tar.xz
srcux-4f8f07779b4dd78123821b104e43fd1eb15281dd.zip
Publish srcux candidate 0000000583-20261007-030305
Diffstat (limited to 'dev-python/jsonpath-ng')
-rw-r--r--dev-python/jsonpath-ng/Manifest1
-rw-r--r--dev-python/jsonpath-ng/jsonpath-ng-1.9.1.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/dev-python/jsonpath-ng/Manifest b/dev-python/jsonpath-ng/Manifest
index 7c77fd9e73cd..967c8780c81f 100644
--- a/dev-python/jsonpath-ng/Manifest
+++ b/dev-python/jsonpath-ng/Manifest
@@ -1,2 +1,3 @@
DIST jsonpath_ng-1.8.0.tar.gz 74513 BLAKE2B f8ba3f19bd106c7246a115175515f0b1ef066954356e06f7b289b754eac05aa7c91f56d44d36e4c04765e0ab7a2fc01ed887ee4c08c3b1d17f54087e73a21ada SHA512 64bf0c98193aff8f390c18f53713fbb41da075f93369f1d81c38d22ac63a86d1e502f59a67aaf1d39d0dc8d1b482bd1f73cc8e1bdf54b68a43b8725d109c9b7f
DIST jsonpath_ng-1.9.0.tar.gz 78042 BLAKE2B 5fc11ee6847e16d9bd019d53a12345ebd3e5ee0f80a47c537468c139e57e0c3aaaafc3c446aa2731edea3daf14495b71416f78392529ea4775980e8019ad76c6 SHA512 c9c266e19cb279c1f0c0b7ae36f906baeb118bc7fa51909e36a23481fd1326b3ef79adc9904ee66315dcc1e96393a9e88330fd9a76f21d1c8962340d27c49cc9
+DIST jsonpath_ng-1.9.1.tar.gz 78077 BLAKE2B b0585cd6afbc376a015e2cc3f6be910f1a51807d35de15df02b95c3755af6ba9c8e97e7c01ecb37bb4d8bfcef4b98a883cb4632b744ae6715acae99c3c1e1ce8 SHA512 1da84dd66bd69652532cb2e0216484b7fccf3b3a6ce5d8d363f21ae71d3f81ce82d3b72974a640cc812c495a105b28958c088fcfe6ba8dc03375499313daaa63
diff --git a/dev-python/jsonpath-ng/jsonpath-ng-1.9.1.ebuild b/dev-python/jsonpath-ng/jsonpath-ng-1.9.1.ebuild
new file mode 100644
index 000000000000..16de848210f9
--- /dev/null
+++ b/dev-python/jsonpath-ng/jsonpath-ng-1.9.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python JSONPath Next-Generation"
+HOMEPAGE="
+ https://github.com/jsonpath-ng/jsonpath-ng/
+ https://pypi.org/project/jsonpath-ng/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/ply[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=( hypothesis )
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unbundle ply (sigh)
+ rm -r src/jsonpath_ng/_ply || die
+ sed -i -e 's:jsonpath_ng[.]_ply:ply:' src/jsonpath_ng/*.py || die
+}